﻿precision mediump float;

uniform sampler2D tex0;

varying vec3 texcoord;

void main()
{
	float offset = 0.9 / 1024.0;
	vec4 frag1 = texture2D(tex0, texcoord.xy + vec2(offset, 0));
	vec4 frag2 = texture2D(tex0, texcoord.xy + vec2(-offset, 0));
	vec4 frag3 = texture2D(tex0, texcoord.xy + vec2(0, offset));
	vec4 frag4 = texture2D(tex0, texcoord.xy + vec2(0, -offset));

	// do we want to cutout the middle?
	float avgAlpha = ((frag1.a + frag2.a + frag3.a + frag4.a)  * 0.25) - 0.5;

	float colour = smoothstep(0.49,0.0,abs(avgAlpha)) * 4.0;

    gl_FragColor.w = min(colour, 1.0); // (frag1.w + frag2.w + frag3.w + frag4.w) * 0.25;
    gl_FragColor.xyz = vec3(1.0, 1.0, 1.0) * gl_FragColor.w;
    gl_FragColor *= texcoord.z;
}