﻿/*
	Simple diffuse shader that forces alpha to 1 for solid object rendering.
*/

precision highp float;

uniform sampler2D tex0,tex1;
uniform mat4 uvTransform;

varying vec3 texcoord;

void main()
{
    vec4 mask = texture2D(tex0, texcoord.xy);
    vec4 secondaryCoords = uvTransform * vec4(texcoord.x, texcoord.y,0.0,1.0);

    vec4 base = texture2D(tex1, secondaryCoords.xy);
    gl_FragColor = base * mask;
    //gl_FragColor *= texcoord.z;	// Global alpha
}