﻿/*
	Like the UV Transform Multiplying shader but at x2 brightness
	this allows the multiply layer to brighten as well as darken

	NOTE: the x2 adjustment does not apply to the alpha channel
*/

precision highp float;

uniform sampler2D tex0,tex1;
uniform mat4 uvTransform;

varying vec3 texcoord;

void main()
{
    vec4 mask = texture2D(tex0, texcoord.xy);
    vec4 secondaryCoords = uvTransform * vec4(texcoord.x, texcoord.y,0.0,1.0);

    vec4 base = texture2D(tex1, secondaryCoords.xy);
    mask.w *= 0.5;
    gl_FragColor = base * (mask * 2.0);
    gl_FragColor *= texcoord.z;	// Global alpha
}
